<?php
// Plugin : plugin.99.mywelcome.php
// Other file: locale.mywelcome.xml.txt
// Author : Slig
// Date: 26.02.2009
//
// Will popup a manialink message at player connection
// (unless if was on server less than delay ago)
//
// Installation: put both files in plugins/ 
//  (or in custom/ if you enable them in fast.php)
//
// Configuration: 
// - change messages in locale.mywelcome.xml.txt
//   (you can add other languages !)
// - change the $noshowdelay value below
//
registerPlugin('mywelcome',99);


// when a player connect
function mywelcomePlayerConnect($event,$login){
  global $_players,$_lastEveryminute;

  $noshowdelay = 180; // 180min

  if(!isset($_players[$login]['ML']['mywelcome.time']) ||
     $_lastEveryminute - $_players[$login]['ML']['mywelcome.time'] >= $noshowdelay){
    // not defined or older than delay : show popup

    // for options see beginning of  plugin.22.ml_popup.php
    ml_popupShowPopup($login,'mywelcome.popup',array(
      'TitleLocale'=>'mywelcome.title',
      'TextLocale'=>'mywelcome.text',
			'Button'=>'OK'
    ));

    $_players[$login]['ML']['mywelcome.time'] = $_lastEveryminute;
	}
}


// keep time when player disconnect to avoid showing welcome again if he reconnect before the delay
function mywelcomePlayerDisconnect($event,$login){
  global $_players,$_lastEveryminute;
  $_players[$login]['ML']['mywelcome.time'] = $_lastEveryminute;
}


// reload welcome text file at each new map
function mywelcomeBeginRace(){
	$file = dirname(__FILE__).'/locale.mywelcome.xml.txt';
	console("mywelcomeBeginRace::reload: {$file}");
	loadLocaleFile($file);
}


?>
